<script setup>
import AdminAppLayout from "@/Layouts/AdminAppLayout.vue";
import { useForm } from '@inertiajs/vue3'
import moment from "moment";
import { component as ckeditor } from '@mayasabha/ckeditor4-vue3'

const props = defineProps({
    errors: Object,
    post:Object,
})

const myMomentObject = moment(props.post.date, 'DD.MM.YYYY').format('YYYY-MM-DD')

const form = useForm({
    title: props.post.title,
    date: myMomentObject,
    short_description: props.post.short_description,
    description: props.post.description,
    image: props.post.image,
})

const editorConfig = {
    allowedContent:true,
    fullPage: false
}
</script>

<template>
    <AdminAppLayout>
        <h1>Редактировать пост</h1>
        <form @submit.prevent="form.post(route('admin.posts.updated',{post:props.post.id}))">
            <div class="mb-3">
                <label for="title" class="form-label">Заголовок</label>
                <input
                    type="text"
                    class="form-control"
                    id="title"
                    placeholder="Заголовок"
                    v-model="form.title"
                />
            </div>

            <div class="mb-3">
                <label for="date" class="form-label">
                    Дата статьи
                </label>
                <input
                    type="date"
                    class="form-control"
                    id="date"
                    placeholder="Дата статьи"
                    v-model="form.date"
                />
            </div>

            <div class="mb-3">
                <label for="short_description" class="form-label"
                >Краткое описание статьи</label
                >
                <input
                    type="text"
                    class="form-control"
                    id="short_description"
                    placeholder="Краткое описание статьи"
                    v-model="form.short_description"
                />
            </div>
            <div class="mb-3">
                <label for="description" class="form-label">Статья</label>
                <ckeditor :config="editorConfig" v-model="form.description"></ckeditor>
            </div>
            <div class="mb-3">
                <label for="formFile" class="form-label">Картинка поста</label>
                <input class="form-control-file" type="file" @input="form.image = $event.target.files[0]" />
            </div>
            <div v-if="form.image" class="img">
                <img width="300" :src="form.image" class="img-fluid" alt="post picture" />
            </div>
            <div style="text-align: right; " class="button">
                <button :disabled="form.processing" class="btn btn-success btn-lg" type="submit">Изменить</button>
            </div>

            <div v-for="error in errors" class="alert alert-danger" role="alert">
                {{ error }}
            </div>

        </form>
    </AdminAppLayout>
</template>

<style scoped>
.button {
    text-align: center;
}
.img {
    max-height: 100px;
}
</style>
